import { ISearchResult } from "../../../src/util/search";
import { IUser } from "@esri/arcgis-rest-request";

export const UserSearchResponse: ISearchResult<IUser> = {
  query: "role:org_user OR role:org_publisher",
  total: 12,
  start: 1,
  num: 100,
  nextStart: -1,
  results: [
    {
      username: "mjordan_dcdev",
      fullName: "Maria Jordan",
      availableCredits: -1,
      assignedCredits: -1,
      firstName: "Maria",
      lastName: "Jordan",
      preferredView: null,
      description: "Product marketer @Esri. ",
      email: "mjordan@esri.com",
      idpUsername: null,
      favGroupId: null,
      lastLogin: 1565206730000,
      mfaEnabled: false,
      access: "org",
      storageUsage: 0,
      storageQuota: 0,
      orgId: "bkrWlSKcjUDFDtgw",
      role: "org_publisher",
      level: "2",
      disabled: false,
      tags: [],
      culture: "en-US",
      region: "WO",
      units: "english",
      thumbnail: "MariaJpic.jpg",
      created: 1555510747000,
      modified: 1555542356000,
      provider: "arcgis",
      groups: []
    },
    {
      username: "athomas_dcdev",
      fullName: "Amanda Thomas",
      availableCredits: -1,
      assignedCredits: -1,
      firstName: "Amanda",
      lastName: "Thomas",
      preferredView: null,
      description: "null",
      email: "athomas@esri.com",
      idpUsername: null,
      favGroupId: null,
      lastLogin: 1568753131000,
      mfaEnabled: false,
      access: "org",
      storageUsage: 0,
      storageQuota: 0,
      orgId: "bkrWlSKcjUDFDtgw",
      role: "org_publisher",
      level: "2",
      disabled: false,
      tags: [
        "hubEventGroupId|bkrWlSKcjUDFDtgw|61aca75b6be045a9a3e8f252304658ab",
        "hubInitiativeId|3b68d9e3a0844f09aa9d52cf89bc6b6c",
        "hubEventGroupId|bkrWlSKcjUDFDtgw|ae910537937b47fca769712bef0d08f6"
      ],
      culture: "en-US",
      region: "WO",
      units: "english",
      thumbnail: "hub-profile-1556742417730.png",
      created: 1555017048000,
      modified: 1568753183000,
      provider: "arcgis",
      groups: []
    },
    {
      username: "service_account_ssl_dcdev",
      fullName: "DC Dev Service Account SSL Provisioning",
      availableCredits: -1,
      assignedCredits: -1,
      firstName: "DC Dev Service Account",
      lastName: "SSL Provisioning",
      preferredView: null,
      description: null,
      email: "hubjenkins@esri.com",
      idpUsername: null,
      favGroupId: null,
      lastLogin: -1,
      mfaEnabled: false,
      access: "org",
      storageUsage: 0,
      storageQuota: 0,
      orgId: "bkrWlSKcjUDFDtgw",
      role: "org_user",
      level: "2",
      disabled: false,
      tags: [],
      culture: "en-US",
      region: null,
      units: "english",
      thumbnail: null,
      created: 1545240718000,
      modified: 1545240719000,
      provider: "arcgis",
      groups: []
    },
    {
      username: "abharadwaj_dcdev",
      fullName: "Abhiram Bharadwaj",
      availableCredits: -1,
      assignedCredits: -1,
      firstName: "Abhiram",
      lastName: "Bharadwaj",
      preferredView: null,
      description: null,
      email: "abharadwaj@esri.com",
      idpUsername: null,
      favGroupId: null,
      lastLogin: 1562680534000,
      mfaEnabled: false,
      access: "org",
      storageUsage: 0,
      storageQuota: 0,
      orgId: "bkrWlSKcjUDFDtgw",
      role: "org_publisher",
      level: "2",
      disabled: true,
      tags: [],
      culture: "en-US",
      region: null,
      units: "english",
      thumbnail: null,
      created: 1559595628000,
      modified: 1559595889000,
      provider: "arcgis",
      groups: []
    },
    {
      username: "jcrozier_dcdev",
      fullName: "Josh Crozier",
      availableCredits: 21839.219,
      assignedCredits: 21839.219,
      firstName: "Josh",
      lastName: "Crozier",
      preferredView: null,
      description: null,
      email: "jcrozier@esri.com",
      idpUsername: null,
      favGroupId: null,
      lastLogin: 1570567935000,
      mfaEnabled: false,
      access: "org",
      storageUsage: 0,
      storageQuota: 0,
      orgId: "bkrWlSKcjUDFDtgw",
      role: "org_publisher",
      level: "2",
      disabled: false,
      tags: [],
      culture: "en-US",
      region: null,
      units: "english",
      thumbnail: null,
      created: 1566828030000,
      modified: 1566828272000,
      provider: "arcgis",
      groups: []
    },
    {
      username: "falbin_dcdev",
      fullName: "Frankie Albin",
      availableCredits: -1,
      assignedCredits: -1,
      firstName: "Frankie",
      lastName: "Albin",
      preferredView: null,
      description: null,
      email: "falbin@esri.com",
      idpUsername: null,
      favGroupId: null,
      lastLogin: 1533839707000,
      mfaEnabled: false,
      access: "org",
      storageUsage: 0,
      storageQuota: 0,
      orgId: "bkrWlSKcjUDFDtgw",
      role: "org_publisher",
      level: "2",
      disabled: true,
      tags: [],
      culture: null,
      region: null,
      units: "english",
      thumbnail: null,
      created: 1527889390000,
      modified: 1528216176000,
      provider: "arcgis",
      groups: []
    },
    {
      username: "RGwozdz_dcdev",
      fullName: "Rich Gwozdz",
      availableCredits: -1,
      assignedCredits: -1,
      firstName: "Rich",
      lastName: "Gwozdz",
      preferredView: null,
      description: null,
      email: "RGwozdz@esri.com",
      idpUsername: null,
      favGroupId: null,
      lastLogin: 1571341152000,
      mfaEnabled: false,
      access: "org",
      storageUsage: 0,
      storageQuota: 0,
      orgId: "bkrWlSKcjUDFDtgw",
      role: "org_publisher",
      level: "2",
      disabled: false,
      tags: [],
      culture: null,
      region: null,
      units: "english",
      thumbnail: null,
      created: 1521133519000,
      modified: 1536587193000,
      provider: "arcgis",
      groups: []
    },
    {
      username: "ittybittygritty",
      fullName: "Itty Bitty Gritty",
      availableCredits: 48008.207,
      assignedCredits: 48008.207,
      firstName: "Itty Bitty",
      lastName: "Gritty",
      preferredView: null,
      description: null,
      email: "phammons@esri.com",
      idpUsername: null,
      favGroupId: null,
      lastLogin: 1564598364000,
      mfaEnabled: false,
      access: "org",
      storageUsage: 0,
      storageQuota: 0,
      orgId: "bkrWlSKcjUDFDtgw",
      role: "org_publisher",
      level: "2",
      disabled: false,
      tags: [],
      culture: "en-US",
      region: null,
      units: "english",
      thumbnail: null,
      created: 1563394419000,
      modified: 1563394592000,
      provider: "arcgis",
      groups: []
    },
    {
      username: "acassidy_dcdev",
      fullName: "Alan Cassidy",
      availableCredits: -1,
      assignedCredits: -1,
      firstName: "Alan",
      lastName: "Cassidy",
      preferredView: null,
      description: null,
      email: "acassidy@esri.com",
      idpUsername: null,
      favGroupId: null,
      lastLogin: 1565994248000,
      mfaEnabled: false,
      access: "org",
      storageUsage: 0,
      storageQuota: 0,
      orgId: "bkrWlSKcjUDFDtgw",
      role: "org_publisher",
      level: "2",
      disabled: false,
      tags: ["hubInitiativeId|9a1cbaf5a5b34c54a335e29b47cf9619"],
      culture: null,
      region: null,
      units: "english",
      thumbnail: null,
      created: 1540216205000,
      modified: 1565994220000,
      provider: "arcgis",
      groups: []
    },
    {
      username: "usertest19",
      fullName: "User Test",
      availableCredits: -1,
      assignedCredits: -1,
      firstName: "User",
      lastName: "Test",
      preferredView: null,
      description: null,
      email: "hub-research@esri.com",
      idpUsername: null,
      favGroupId: null,
      lastLogin: 1561406301000,
      mfaEnabled: false,
      access: "org",
      storageUsage: 0,
      storageQuota: 0,
      orgId: "bkrWlSKcjUDFDtgw",
      role: "org_publisher",
      level: "2",
      disabled: true,
      tags: [],
      culture: "en-US",
      region: null,
      units: "english",
      thumbnail: null,
      created: 1561405831000,
      modified: 1568657964000,
      provider: "arcgis",
      groups: []
    },
    {
      username: "nparks_dcdev",
      fullName: "Niya Parks",
      availableCredits: -1,
      assignedCredits: -1,
      firstName: "Niya",
      lastName: "Parks",
      preferredView: null,
      description: null,
      email: "nparks@esri.com",
      idpUsername: null,
      favGroupId: null,
      lastLogin: 1570537377000,
      mfaEnabled: false,
      access: "org",
      storageUsage: 0,
      storageQuota: 0,
      orgId: "bkrWlSKcjUDFDtgw",
      role: "org_publisher",
      level: "2",
      disabled: false,
      tags: [],
      culture: "en-US",
      region: null,
      units: "english",
      thumbnail: null,
      created: 1570023128000,
      modified: 1570450996000,
      provider: "arcgis",
      groups: []
    },
    {
      username: "wbc5_dcdev",
      fullName: "Will Clark",
      availableCredits: -1,
      assignedCredits: -1,
      firstName: "Will",
      lastName: "Clark",
      preferredView: null,
      description: null,
      email: "wbc5@mac.com",
      idpUsername: null,
      favGroupId: null,
      lastLogin: 1538886106000,
      mfaEnabled: false,
      access: "private",
      storageUsage: 0,
      storageQuota: 0,
      orgId: "bkrWlSKcjUDFDtgw",
      role: "org_publisher",
      level: "2",
      disabled: false,
      tags: [],
      culture: "en",
      region: "WO",
      units: "english",
      thumbnail: null,
      created: 1485633572000,
      modified: 1568862274000,
      provider: "arcgis",
      groups: []
    }
  ]
};
